Bug 83421 - Multiple network devices message appearing using kickstart file requiring user intervention
Multiple network devices message appearing using kickstart file requiring use...
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
9
All Linux
high Severity high
: ---
: ---
Assigned To: Michael Fulbright
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-02-03 22:23 EST by Larry Troan
Modified: 2016-04-18 05:39 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-04-22 12:29:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Larry Troan 2003-02-03 22:23:04 EST
Using a kickstart file that has been used for RHAS21 and RH80 installs and
ported to RH81 under HP's Rapid Deployment Pack, the unattended install will not
continue past the "Networking Devices" dialog w/o user intervention.

Have the command "network --bootproto dhcp" in kickstart file.  See text at
bottom of issue.  Receive "You have multiple network devices on this system. 
Which would you like to install through?"  message and the choices for "eth0"
and "eth1" for my two embedded NIC unit.  After choosing eth0, the system will
continue with the unattended install using info in kickstart file.  Tried
forcing the device in ks file using "network --device eth0 --bootproto dhcp"
without success.

Tested on DL320, DL360G2, and DL380G2 with same failed result.  Only one NIC
(eth0) plugged into network on each system.
I read RELEASE-NOTES file on beta 4 CD#1 and no indication that this "network"
kickstart command has changed and how.

#
# For information on the kickstart mechanism, see
# The Official Red Hat Linux Customization Guide.
#

lang en_US
langsupport en_US

network --bootproto dhcp

#
# This assumes the NFS export is setup with the Red Hat Linux CDs #1 and #2
#
nfs --server 10.0.0.3 --dir /usr/cpqrdp/rh81

keyboard "us"

zerombr yes
clearpart --all
part /boot --size 20 --fstype ext2
# swap size should be (2 * #MB of memory)
part swap --size 1024

part / --size 3072 --grow --fstype ext2
install

mouse genericps/2 --emulthree

timezone --utc America/Chicago

xconfig --monitor "generic monitor"

firewall --disabled

#
# Please pick a new root password and encrypt it. Add --iscrypted
# after rootwp when providing an encrypted root password.
#
rootpw password

auth --useshadow --enablemd5

## Please pick a new grub password and encrypt it. Use --md5pass
# instead of --password to specify an encrypted password.
#
bootloader grub --password=password

reboot

#
# PACKAGES
#
%packages
@ Web Server
@ Network Servers
@ Windows File Server
@ DNS Name Server
@ Kernel Development
@ X Window System
#@ GNOME
#@ KDE

# the following packages are used by the health driver
glibc
binutils
cpp
gcc
glibc-kernheaders
glibc-devel


# the following package is used by the management agents
compat-libstdc++

#
# PRE
#

#
# POST
#
%post

# change runlevel configuration of services
chkconfig --level 0123456 apmd off
chkconfig --level 0123456 gpm off
chkconfig --level 0123456 sendmail off
chkconfig --level 35 httpd on
chkconfig --level 01246 httpd off
chkconfig --level 35 snmpd on
chkconfig --level 01246 snmpd off
chkconfig finger off
chkconfig talk off
chkconfig ntalk off

# make the NICs use Intel's e100 driver
sed 's/eepro100/e100/' /etc/modules.conf > /etc/modules.conf.new
mv -f /etc/modules.conf.new /etc/modules.conf

# copy the ProLiant RPMs
mkdir /tmp/cpq
mkdir /mnt/cpqnfs
mount 10.0.0.3:/usr/cpqrdp/ss.620/rh81 /mnt/cpqnfs -t nfs
cp -r /mnt/cpqnfs/csp/* /tmp/cpq
umount /mnt/cpqnfs
rmdir /mnt/cpqnfs

# create script to install ProLiant RPMs (called by rc.local)
cat > /tmp/cpq/cpqrpms.sh << EOF
#!/bin/bash
cd /tmp/cpq
chmod +x rh81.sh
mv -f /etc/rc.d/rc.local.sav /etc/rc.d/rc.local
/tmp/cpq/rh81.sh 1>>/root/install.rdp.log 2>>/root/install.rdp.log
reboot
EOF
chmod +x /tmp/cpq/cpqrpms.sh

# save a copy of rc.local
cp /etc/rc.d/rc.local /etc/rc.d/rc.local.sav

# add cpqrpms.sh to rc.local
cat >> /etc/rc.d/rc.local << EOF
cd /tmp/cpq/
/tmp/cpq/cpqrpms.sh
EOF
----------
Action by: brian.b
Issue Registered

THIS IS ISSUE TRACKER 14548, OPENED AS SEV 1.
Comment 1 Michael Fulbright 2003-02-04 14:35:10 EST
Nothing has changed, you just need to pass 'ksdevice=<dev>' on the boot command
line if you have multiple interfaces.  Here '<dev>' is something like 'eth0'.


Comment 2 Larry Troan 2003-02-06 21:54:15 EST
Please verify this Michael Fulbright's clarification works and we can close...
Comment 3 Michael Fulbright 2003-02-21 12:18:52 EST
Any feedback available?
Comment 4 Michael Fulbright 2003-04-22 12:29:56 EDT
Closing due to inactivity. If you have new information to add please reopen the
issue report.

Note You need to log in before you can comment on or make changes to this bug.